Name:		libsyncml
Epoch:		1
Version:	0.4.6
Release:	1%{?dist}
Summary:	SyncML protocol library

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://libsyncml.opensync.org/
Source0:	http://libsyncml.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	wbxml2-devel >= 0.9.2
BuildRequires:  cmake, libxml2-devel, libsoup22-devel, openobex-devel
BuildRequires:  bluez-libs-devel

%description
%{summary}.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
cd %{_target_platform}
%cmake ..
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

pushd %{_target_platform}
make install DESTDIR=$RPM_BUILD_ROOT
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/syncml-http-client
%{_bindir}/syncml-http-server
%{_bindir}/syncml-obex-client
%{_libdir}/libsyncml.so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_includedir}/libsyncml-1.0/
%{_libdir}/libsyncml.so
%{_libdir}/pkgconfig/libsyncml-1.0.pc


%changelog
* Tue Mar 31 2009 Felix Kaechele <felix at fetzig dot org> - 1:0.4.6-1
- downgraded to 0.4.6

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 08 2009 Felix Kaechele <felix at fetzig dot org> - 0.5.0-1
- upstream 0.5.0
- buildsystem changed to cmake

* Thu Sep 11 2008 - Bastien Nocera <bnocera@redhat.com> - 0.4.5-3
- Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.5-2
- Autorebuild for GCC 4.3

* Sun Oct 21 2007 Laurent Rineau <laurent.rineau__fedora@normalesup.org> - 0.4.5-1
- New upstream version 0.4.5

* Fri Aug 24 2007 Laurent Rineau <laurent.rineau__fedora@normalesup.org> - 0.4.4-1
- New upstream version 0.4.4
- New License: tag.
- Re-enable tests. Added a patch to disable -Werror in tests.
  However, the "make check" stage still fail! Disabled.

* Tue Feb 13 2007 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4.3-1
- New upstream version 0.4.3.
- No longer need for patch libsyncml-0.4.2.doctype.patch (merged upstream).

* Wed Nov 29 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4.2-2
- Modify the BR: wbxml2-devel, so that it build-requires wbxml2>=0.9.2.

* Mon Nov 27 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4.2-1
- Initial release for Fedora Extras.
